
From: Andrew Morton <akpm@osdl.org>

  CC      arch/alpha/kernel/setup.o
include/linux/pci.h:1031: warning: `pci_resource_to_user' defined but not used
make[1]: *** [arch/alpha/kernel/setup.o] Error 1
make: *** [arch/alpha/kernel/setup.o] Error 2

I assume you meant this:

Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/pci.h |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN include/linux/pci.h~fix-pci-mmap-on-ppc-and-ppc64-fix include/linux/pci.h
--- 25-alpha/include/linux/pci.h~fix-pci-mmap-on-ppc-and-ppc64-fix	2005-05-09 22:28:16.000000000 -0700
+++ 25-alpha-akpm/include/linux/pci.h	2005-05-09 22:28:16.000000000 -0700
@@ -1025,9 +1025,8 @@ static inline char *pci_name(struct pci_
  * in sysfs and /proc
  */
 #ifndef HAVE_ARCH_PCI_RESOURCE_TO_USER
-static void pci_resource_to_user(const struct pci_dev *dev, int bar,
-				 const struct resource *rsrc,
-				 u64 *start, u64 *end)
+static inline void pci_resource_to_user(const struct pci_dev *dev, int bar,
+			const struct resource *rsrc, u64 *start, u64 *end)
 {
 	*start = rsrc->start;
 	*end = rsrc->end;
_
